0

I just downloaded OS7 to my iphone. To back it up on itunes it needs itunes 11.1. It wont download to my computer because I'm still running 10.5.8. If I upgrade to Snow Leopard or Lion I need to know that my old Photoshop 11.0/CS4 will still work.

1

Photoshop CS4 works with 10.4.11 and above. So yes it'll work with Snow Leopard or Lion.

There might be some minor issues on Lion. I don't know if the have been corrected since.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .